Updating to 1.3.1 failed


#1

Our application is using 1.2.0 .net couchbase client, and we would like to update it to a newer version. We tried 1.3.1 and 1.3.3 and the update was a failure. We are getting these error messages on store and get commands:

“GetVBucket is implemented only for VBucketNodeLocator implementation of IMemcachedNodeLocator”

and

“View [viewname] was mapped to a dead node, failing.”

Can you help us to solve this problem?

Thank you!


#2

dawheeler -

This first error above is the one causing the issue…I am not sure why.

Could you perhaps create an example solution with your configuration, etc that recreates the issue (not your whole app, just something minimal like a console app) and attach it to an issue: http://www.couchbase.com/issues/browse/NCBC

I’ll see what I can find.

-Jeff


#3

Thank you for the quick response but fortunately we found out the solution. We had multiple instances of the couchbase client and that caused the error.